"""FileInfo object stores information about a file."""

from dataclasses import dataclass

__all__ = ["FileInfo"]


@dataclass(frozen=True, order=True)
class FileInfo:
	"""Stores information about a file.

	Fields:
		- `name`           -- name of a file;
		- `size`           -- size of a file;
		- `download_url`   -- full download URL for a file;
		- `hash_value`     -- hash sum of a file;
		- `hash_algorithm` -- hash algorithm used (e.g. md5).
	"""
	name: str
	size: int
	download_url: str
	hash_value: str
	hash_algorithm: str
